$white: #ffffff;
$grey: #e5e9fd;
$grey2: #f4f4f4;
$black: #444444;
$green: #83BD75;
$green2: #4E944F;

$font: 'Nunito', sans-serif;

*{
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
}
  
html{
    scroll-behavior: smooth;
}
  
body{
    margin: 0;
    padding: 0;
}

.app{
    padding: 5rem 15rem;
    background-color: $grey;

    .menu{

        .title{
            margin: 0.65rem 0;
            color: $black;
            font-family: $font;
            font-size: 3rem;
            font-weight: 800;
        }

        .user{
            color: $black;
            font-family: $font;
            font-size: 1rem;
            font-weight: 700;

            .perfil{
                width: 5rem;
                height: 5rem;
                margin-left: 0.5rem;
                border: 0.3rem solid $white;
                border-radius: 50%;
                vertical-align: middle;
            }
        }
    }

    .box{
        margin-top: 3rem;
        padding: 3rem;
        background: $white;
        border-radius: 2rem;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);

        .title-component{
            margin: 0 0 2rem;
            padding: 0 0 2rem;
            border-bottom: 1px solid $grey;
            color: $black;
            font-family: $font;
            font-size: 2rem;
            font-weight: 800;
        }

        .form{
            display: block;

            .form-label{
                display: block;
                margin: 0;
                color: $black;
                font-family: $font;
                font-size: 1rem;
                font-weight: 800;
            }

            .input-form{
                display: block;
                width: 100%;
                padding: 0.75rem;
                border: 1px solid $grey;
                border-radius: 0.5rem;

                color: $black;
                font-family: $font;
                font-size: 0.8rem;
                font-weight: 500;
            }
        }

        .table{
                
            td{
                color: $black;
                font-family: $font;
                font-size: 0.8rem;
                font-weight: 600;

                .total{
                    font-size: 0.9rem;
                    font-weight: 800;
                }
            }
        }
    }

    .btn-calc{
        display: inline-block;
        margin-top: 2rem;
        padding: 0.75rem 1.25rem;
        background-color: $green;
        border: none;
        border-radius: 0.5rem;

        color: $white;
        font-family: $font;
        font-size: 0.8rem;
        font-weight: 800;
        text-transform: uppercase;
        transition: .25s;

        &:hover{
            background-color: $green2;
        }
    }
}

.footer{
    padding: 1.4rem;
    margin: 0;
    background-color: $grey2;
    color: $black;
    font-family: $font;
    font-size: 1rem;
    font-weight: 800;
    text-align: center;
}

@media(min-width: 1300px) and (max-width: 1366px){

    .app{
        padding: 5rem;

        
    }
}

@media(min-width: 1200px) and (max-width: 1280px){

    .app{
        padding: 5rem;

        
    }
}

@media(min-width: 992px) and (max-width: 1024px){

    .app{
        padding: 5rem;

        .menu{

            .title{
                margin: 1.25rem 0;
                font-size: 2rem;
            }
        }

        
    }
}

@media(min-width: 768px) and (max-width: 991px){

    .app{
        padding: 5rem;

        .menu{

            .title{
                margin: 1.5rem 0;
                font-size: 1.6rem;
            }
        }

        .box{
            
            .mtsm-01{
                margin-top: 1rem;
            }
        }        
    }
}

@media(max-width: 767px){

    .app{
        padding: 2rem;

        .menu{

            .title{
                margin: 1.5rem 0;
                font-size: 1.6rem;
                text-align: center;
            }

            .user{
                display: block;
                width: 100%;
                text-align: center;

                .perfil{
                    display: block;
                    margin: 0 auto;
                }
            }
        }

        .box{

            .mtxs-01{
                margin-top: 1rem;
            }

            .table{
                
                th{
                    font-size: 0.7rem;
                }
            }
        }
    }

    .footer{
        font-size: 0.75rem;
    }
}